#
OWNER=bin
GROUP=bin
CTAGS= ctags -x >tags
CFLAGS= -O
LDFLAGS= -s -O
CC=../../../../armcc/bin/arm-agb-elf-gcc.exe  
RE=../../../../armcc/bin/arm-agb-elf-readelf.exe
AS=../../../../armcc/bin/arm-agb-elf-as.exe -EL -mthumb-interwork 
ASC=exec ../../../../armcc/asmconv.sh
LD=../../../../armcc/bin/arm-agb-elf-ld.exe 
OC=../../../../armcc/bin/arm-agb-elf-objcopy.exe
GET=
SRCS=
ASMS=
OBJS=
SHAR=shar
MANDIR=/usr/man/manl/printenv.l
BINDIR=/usr/local/bin
DEPEND= makedepend $(CFLAGS)

all:    test

	

# To get things out of the revision ntrol system
$(SRCS): $(GET) $@
	 $(CC) $(CFLAGS) -c $*.c

test: $(OBJS)
	../../../testgame/bin2gold.exe 8x16_font.gfx >temp.s
	$(ASC) temp.s >8x16_font.gfx.s
	../font_conv/Projekt1.exe 8x16_font.gfx 824 8 16 4 >temp.s
	$(ASC) temp.s >8x16_font.tab.s
	#../../../testgame/bin2gold.exe 8x8_font2.gfx >temp.s
	#$(ASC) temp.s >8x8_font2.gfx.s
	#../../../testgame/bin2gold.exe 8x8_font2.pal >temp.s
	#$(ASC) temp.s >8x8_font2.pal.s
	#../font_conv/Projekt1.exe 8x8_font2.gfx 824 8 8 4 >temp.s
	#$(ASC) temp.s >8x8_font2.tab.s
	$(ASC) test_font.s >temp.s
	$(AS) temp.s -o test_font.o -I ../. -I ../../.
	$(LD) test_font.o ../font.o ../../stdfkt/stdm0io.o ../../stdfkt/simple.o ../../stdmath/fast_div.o $(OBJS) --script ../../../../armcc/system/lnkscript -o test_font.elf  -L ../../../../armcc/lib/gcc-lib/arm-agb-elf/3.3.2/interwork/  -lafm -lm -lstdc++ -lsupc++ -lc -lgcc
	$(OC) -v -O binary test_font.elf test_font.gba
	$(RE) -l test_font.elf
	rm temp.s
